MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Mark Attachment UploadedPresign Playground Attachment UploadRead Conversation Attachment
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceAttachments

Presign Playground Attachment Upload

POST
/v1/agents/{agent_id}/attachments/presign

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/presign" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "media_type": "string",    "size": 1  }'
{  "attachment": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "image",    "media_type": "string",    "name": "string",    "byte_size": 0,    "status": "uploading",    "reject_reason": "string"  },  "upload": {    "url": "string",    "fields": {      "property1": "string",      "property2": "string"    }  },  "expires_at": "2019-08-24T14:15:22Z"}
Empty
Empty
Empty

Mark Attachment Uploaded

Previous Page

Read Conversation Attachment

Next Page

name*Name
Length1 <= length <= 255
media_type*Media Type
Lengthlength <= 128
size*Size
Range1 <= value